Distributor - Update
curl --request PUT \
--url https://api.skulabs.com/distributor/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"distributor_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"notes": "<string>",
"location_id": "507f1f77bcf86cd799439011",
"feed_info": {
"feed_link": "<string>"
}
}
}
'import requests
url = "https://api.skulabs.com/distributor/update"
payload = { "data": {
"distributor_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"notes": "<string>",
"location_id": "507f1f77bcf86cd799439011",
"feed_info": { "feed_link": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
distributor_id: '507f1f77bcf86cd799439011',
name: '<string>',
email: '<string>',
phone: '<string>',
address: {
street: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
terms: '<string>',
shipping: '<string>',
memo: '<string>',
notes: '<string>',
location_id: '507f1f77bcf86cd799439011',
feed_info: {feed_link: '<string>'}
}
})
};
fetch('https://api.skulabs.com/distributor/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Distributor
Distributor - Update
Update an existing distributor’s information.
PUT
/
distributor
/
update
Distributor - Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Supplier data to update
Show child attributes
Show child attributes
Response
Supplier updated successfully
Whether the operation succeeded
⌘I